# Hugin hdrmerge

From PanoTools.org Wiki

hdrmerge combines multiple overlapping images into a single HDRI (high dynamic range image). It is useful for combining multiple LDR images into a single HDR image. The input images should be in linear colorspace.

There are 2 merge modes available:

- Average: here the average of each pixel is calculated. Over and under exposure pixel are ignored.
- Khan: Here the Khan algorithm is used to reduce or eliminate in best case ghosts (e.g. moving objects in the different images).

## Parameters

- `-o|--output prefix`: sets the filename for the output
- `-v|--verbose`: activates verbose output (for more details during processing).
- `-h|--help`: Shows the help
- `-m mode`: Sets the merge mode. Can be `avg` (default) or `khan`.

If the merge mode is average, the follow parameters can be used

- `-c`: Only consider pixels that are defined in all images.

The Khan algorithm can be fine tuned with

- `-i iter`: Sets the number of iterations to execute (default is 4).
- `-s sigma`: Sets standard deviation of Gaussian weighting function (sigma > 0); default: 30.
- `-a set`: Set advanced settings. Possible options are:
  - `f`: use gray images for computation. It's about two times faster but it usually returns worse results.
  - `g`: use gamma 2.2 correction instead of logarithm
  - `m`: do not scale image, NOTE: slows down process

Retrieved from "https://wiki.panotools.org/index.php?title=Hugin_hdrmerge&oldid=15979"